View Issue Details

IDProjectCategoryView StatusLast Update
0030151Open CASCADEOCCT:Modeling Algorithmspublic2021-09-11 14:05
Reporteremv Assigned Tosmoskvin  
PrioritynormalSeverityintegration request 
Status closedResolutionfixed 
Product Version7.3.0 
Target Version7.6.0Fixed in Version7.6.0 
Summary0030151: Modeling Algorithms - Removal of the API level of old Boolean operations algorithm (BRepAlgo_BooleanOperation)
DescriptionSince OCCT 7.3.0 release the BRepAlgo API classes for performing old Boolean operations have been marked as deprecated.
This issue is intended to remove these classes from OCCT:
- BRepAlgo_BooleanOperation
- BRepAlgo_Fuse
- BRepAlgo_Cut
- BRepAlgo_Common
- BRepAlgo_Section
Steps To ReproduceNot needed.
TagsNo tags attached.
Test case numberNot required

Relationships

related to 0028575 assignedemv Removal of the old Boolean Operations algorithm - BRepAlgo_BooleanOperation 
related to 0032056 closedbugmaster Coding Rules - remove package MMgt and other types deprecated since OCCT 7.2.0 

Activities

git

2018-09-21 13:55

administrator   ~0079308

Branch CR30151 has been created by emv.

SHA-1: 2da7ee6c8ef1e2e18111ae57da42d0c0abdf93f5


Detailed log of new commits:

Author: emv
Date: Fri Sep 21 11:43:16 2018 +0300

    0030151: Modeling Algorithms - Removal of the API level of old Boolean operations algorithm (BRepAlgo_BooleanOperation)
    
    The following classes have been removed as obsolete:
    - BRepAlgo_BooleanOperation
    - BRepAlgo_Fuse
    - BRepAlgo_Cut
    - BRepAlgo_Common
    - BRepAlgo_Section
    
    The corresponding classes from BRepAlgoAPI package should be used instead.
    
    Draw commands:
    - fuse
    - cut
    - common
    - section/psection
    have also been removed as obsolete.
    
    The corresponding commands for modern Boolean operations algorithm (bfuse/bcut/bcommon/bsection) should be used instead.

git

2018-09-21 13:57

administrator   ~0079310

Branch CR30151 has been updated forcibly by emv.

SHA-1: 518bf210569a1d8ef11d03aa62b4d1f0d83297b9

git

2018-09-21 14:23

administrator   ~0079313

Branch CR30151 has been updated forcibly by emv.

SHA-1: 0f8cbd62e57f9bb7a23a7d75f37bc295e65c1e8d

git

2018-09-21 14:29

administrator   ~0079314

Branch CR30151 has been updated forcibly by emv.

SHA-1: 467d620d24d8b0d07ceeeb0e115499f4d170a35b

git

2018-09-24 10:46

administrator   ~0079344

Branch CR30151 has been updated forcibly by emv.

SHA-1: 536340415313d524db8974b04cade688e4853c61

kgv

2021-08-24 00:59

developer   ~0103396

Eugeny, could you please put a comment which issues block the patch being integrated?

emv

2021-08-24 08:20

developer   ~0103404

I don't think that it is blocked by any other issue. The old API is marked deprecated for a few versions now - probably it is time to get rid of it?

kgv

2021-08-24 10:52

developer   ~0103405

Sure, I think it is about time, if Mikhail has no objections - users have 3 releases to update the code.

msv

2021-08-24 18:03

developer   ~0103417

No objections.

git

2021-09-07 13:13

administrator   ~0103886

Branch CR30151_1 has been created by emv.

SHA-1: a1d08c16c018fa2bc92987ba946a61614edf621a


Detailed log of new commits:

Author: emv
Date: Fri Sep 21 11:43:16 2018 +0300

    0030151: Modeling Algorithms - Removal of the API level of old Boolean operations algorithm (BRepAlgo_BooleanOperation)
    
    The following classes have been removed as obsolete:
    - BRepAlgo_BooleanOperation
    - BRepAlgo_Fuse
    - BRepAlgo_Cut
    - BRepAlgo_Common
    - BRepAlgo_Section
    
    The corresponding classes from BRepAlgoAPI package have to be used instead.
    
    Draw commands:
    - fuse
    - cut
    - common
    - section/psection
    have also been removed as obsolete.
    
    The corresponding commands for modern Boolean operations algorithm (bfuse/bcut/bcommon/bsection) have to be used instead.
    
    Adjustment of the test cases to use the commands for modern algorithm.

git

2021-09-07 15:45

administrator   ~0103894

Branch CR30151_1 has been updated forcibly by emv.

SHA-1: 74b7d5daebb1b6494a72fb2beb6347ca34d1d1e2

emv

2021-09-07 22:10

developer   ~0103908

Dear Mikhail, could you please review git branch CR30151?

Test results - http://jenkins-test-occt.nnov.opencascade.com/view/CR30151-master-emv/view/COMPARE/

msv

2021-09-08 14:48

developer   ~0103925

For integration:
occt - CR30151_1
products - none

smoskvin

2021-09-11 13:24

administrator   ~0104005

Combination -
OCCT branch : IR-2021-09-10
master SHA - 9ae883970dd77a39d856b49e6883ed5d0e60d20f
49e51745631c52b6c452c65adae4d6dfa21a1b1e
Products branch : IR-2021-09-10 SHA - 2d2bc879e2da9d770a1938ab3410f5885c8555e7
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
Debian80-64:
OCCT
Total CPU difference: 17358.54000000042 / 17496.500000000422 [-0.79%]
Products
Total CPU difference: 11397.800000000112 / 11567.680000000111 [-1.47%]
Windows-64-VC14:
OCCT
Total CPU difference: 19328.109375 / 19307.609375 [+0.11%]
Products
Total CPU difference: 12733.328125 / 12920.953125 [-1.45%]


Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention

git

2021-09-11 14:05

administrator   ~0104023

Branch CR30151 has been deleted by mnt.

SHA-1: 536340415313d524db8974b04cade688e4853c61

git

2021-09-11 14:05

administrator   ~0104024

Branch CR30151_1 has been deleted by mnt.

SHA-1: 74b7d5daebb1b6494a72fb2beb6347ca34d1d1e2

Related Changesets

occt: master efac1733

2018-09-21 08:43:16

emv


Committer: smoskvin Details Diff
0030151: Modeling Algorithms - Removal of the API level of old Boolean operations algorithm (BRepAlgo_BooleanOperation)

The following classes have been removed as obsolete:
- BRepAlgo_BooleanOperation
- BRepAlgo_Fuse
- BRepAlgo_Cut
- BRepAlgo_Common
- BRepAlgo_Section

The corresponding classes from BRepAlgoAPI package have to be used instead.

Draw commands:
- fuse
- cut
- common
- section/psection
have also been removed as obsolete.

The corresponding commands for modern Boolean operations algorithm (bfuse/bcut/bcommon/bsection) have to be used instead.

Adjustment of the test cases to use the commands for modern algorithm.
Affected Issues
0030151
mod - dox/upgrade/upgrade.md Diff File
mod - dox/user_guides/draw_test_harness/draw_test_harness.md Diff File
mod - dox/user_guides/shape_healing/shape_healing.md Diff File
mod - samples/ocafsamples/TNaming_Sample.cxx Diff File
mod - samples/tcl/cutter.tcl Diff File
mod - samples/tcl/drill.tcl Diff File
mod - src/BRepAlgo/BRepAlgo.hxx Diff File
rm - src/BRepAlgo/BRepAlgo_BooleanOperation.cxx Diff File
rm - src/BRepAlgo/BRepAlgo_BooleanOperation.hxx Diff File
rm - src/BRepAlgo/BRepAlgo_CheckStatus.hxx Diff File
rm - src/BRepAlgo/BRepAlgo_Common.cxx Diff File
rm - src/BRepAlgo/BRepAlgo_Common.hxx Diff File
rm - src/BRepAlgo/BRepAlgo_Cut.cxx Diff File
rm - src/BRepAlgo/BRepAlgo_Cut.hxx Diff File
rm - src/BRepAlgo/BRepAlgo_Fuse.cxx Diff File
rm - src/BRepAlgo/BRepAlgo_Fuse.hxx Diff File
rm - src/BRepAlgo/BRepAlgo_Section.cxx Diff File
rm - src/BRepAlgo/BRepAlgo_Section.hxx Diff File
rm - src/BRepAlgo/BRepAlgo_Tool.cxx Diff File
rm - src/BRepAlgo/BRepAlgo_Tool.hxx Diff File
mod - src/BRepAlgo/FILES Diff File
mod - src/BRepOffset/BRepOffset_Tool.cxx Diff File
mod - src/BRepTest/BRepTest_TopologyCommands.cxx Diff File
mod - tests/bugs/caf/bug31918_2 Diff File
mod - tests/bugs/modalg_1/buc60585_1 Diff File
mod - tests/bugs/modalg_1/buc60585_2 Diff File
mod - tests/bugs/modalg_2/bug526 Diff File
mod - tests/bugs/modalg_4/bug82 Diff File
mod - tests/bugs/modalg_5/bug23855 Diff File
mod - tests/bugs/modalg_5/bug24463 Diff File
mod - tests/bugs/modalg_5/bug24519 Diff File
mod - tests/bugs/modalg_5/bug24758_1 Diff File
mod - tests/bugs/modalg_5/bug24758_2 Diff File
mod - tests/bugs/modalg_5/bug25766 Diff File
mod - tests/bugs/modalg_6/bug21507 Diff File
mod - tests/bugs/modalg_7/bug83 Diff File
mod - tests/bugs/moddata_1/bug17046 Diff File
mod - tests/bugs/moddata_1/bug22194 Diff File
mod - tests/bugs/moddata_2/bug254 Diff File
mod - tests/caf/nam/A3 Diff File
mod - tests/v3d/bugs/bug331_1 Diff File

Issue History

Date Modified Username Field Change
2018-09-21 12:25 emv New Issue
2018-09-21 12:25 emv Assigned To => msv
2018-09-21 12:25 emv Assigned To msv => emv
2018-09-21 12:25 emv Status new => assigned
2018-09-21 13:55 git Note Added: 0079308
2018-09-21 13:57 git Note Added: 0079310
2018-09-21 14:23 git Note Added: 0079313
2018-09-21 14:29 git Note Added: 0079314
2018-09-24 10:46 git Note Added: 0079344
2018-10-09 15:57 emv Relationship added related to 0028575
2019-08-12 17:57 emv Target Version 7.4.0 => 7.5.0
2020-08-28 13:25 emv Target Version 7.5.0 => 7.6.0
2021-08-24 00:59 kgv Note Added: 0103396
2021-08-24 00:59 kgv Status assigned => feedback
2021-08-24 00:59 kgv Severity minor => integration request
2021-08-24 01:01 kgv Relationship added related to 0032056
2021-08-24 08:20 emv Note Added: 0103404
2021-08-24 10:52 kgv Note Added: 0103405
2021-08-24 18:03 msv Note Added: 0103417
2021-08-29 17:30 msv Status feedback => assigned
2021-09-07 13:13 git Note Added: 0103886
2021-09-07 15:45 git Note Added: 0103894
2021-09-07 22:10 emv Note Added: 0103908
2021-09-07 22:10 emv Assigned To emv => msv
2021-09-07 22:10 emv Status assigned => resolved
2021-09-07 22:10 emv Steps to Reproduce Updated
2021-09-07 22:10 emv Test case number => Not required
2021-09-08 14:48 msv Note Added: 0103925
2021-09-08 14:48 msv Assigned To msv => bugmaster
2021-09-08 14:48 msv Status resolved => reviewed
2021-09-11 13:24 smoskvin Note Added: 0104005
2021-09-11 13:24 smoskvin Status reviewed => tested
2021-09-11 13:43 smoskvin Changeset attached => occt master efac1733
2021-09-11 13:43 smoskvin Assigned To bugmaster => smoskvin
2021-09-11 13:43 smoskvin Status tested => verified
2021-09-11 13:43 smoskvin Resolution open => fixed
2021-09-11 14:05 git Note Added: 0104023
2021-09-11 14:05 git Note Added: 0104024